summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author David Sullins <david.sullins@gmail.com>2016-10-13 13:15:04 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-13 13:15:04 +0700
commitd679df6b8f7744b346f0a7ddfc4c2f25f806c775 (patch)
tree18a23790248df911b024cf8e12a555369efa1b6e /development
parent1faff90b6e63f3190fa7bdcb72268e1c30cc993c (diff)
downloadslackbuilds-d679df6b8f7744b346f0a7ddfc4c2f25f806c775.tar.gz
slackbuilds-d679df6b8f7744b346f0a7ddfc4c2f25f806c775.tar.xz
development/p4d: Added (Perforce Helix VCS server).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/p4d/README6
-rw-r--r--development/p4d/p4d.SlackBuild41
-rw-r--r--development/p4d/p4d.info10
-rw-r--r--development/p4d/slack-desc19
4 files changed, 76 insertions, 0 deletions
diff --git a/development/p4d/README b/development/p4d/README
new file mode 100644
index 0000000000..ba1b9c03ac
--- /dev/null
+++ b/development/p4d/README
@@ -0,0 +1,6 @@
+This is the Perforce Helix server, a commercial version control system.
+
+You only need this p4d package to host your own server, or to use the DVCS
+features of Perforce. If you just need a Perforce client to connect to a
+server someone else hosts, use the "p4" (command line) or "p4v" (GUI)
+Slackbuild instead.
diff --git a/development/p4d/p4d.SlackBuild b/development/p4d/p4d.SlackBuild
new file mode 100644
index 0000000000..c664b5049d
--- /dev/null
+++ b/development/p4d/p4d.SlackBuild
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Slackware build script for p4d
+# Based on Slackbuild script for p4 by Andy Bailey <GooseYArd@gmail.com>
+# Written by David Sullins <david.sullins@gmail.com>
+
+PRGNAM=p4d
+VERSION=${VERSION:-2016.1.1447837}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/usr/bin
+cp $CWD/$PRGNAM $PKG/usr/bin
+
+chown root:root $PKG/usr/bin/$PRGNAM
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/p4d/p4d.info b/development/p4d/p4d.info
new file mode 100644
index 0000000000..f37c9a5ca5
--- /dev/null
+++ b/development/p4d/p4d.info
@@ -0,0 +1,10 @@
+PRGNAM="p4d"
+VERSION="2016.1.1447837"
+HOMEPAGE="http://www.perforce.com/"
+DOWNLOAD="http://www.perforce.com/downloads/perforce/r16.1/bin.linux26x86/p4d"
+MD5SUM="cf616418e0a83e964f65f45b64309eab"
+DOWNLOAD_x86_64="http://www.perforce.com/downloads/perforce/r16.1/bin.linux26x86_64/p4d"
+MD5SUM_x86_64="fa83a13b9d4fb676e4ca04f8ed41511a"
+REQUIRES=""
+MAINTAINER="David Sullins"
+EMAIL="david.sullins@gmail.com"
diff --git a/development/p4d/slack-desc b/development/p4d/slack-desc
new file mode 100644
index 0000000000..2fecf5086d
--- /dev/null
+++ b/development/p4d/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+p4d: p4d (Perforce Helix version control system server)
+p4d:
+p4d: p4d is the Perforce Helix server, a commercial version control
+p4d: system that supports both centralized and distributed version
+p4d: control.
+p4d:
+p4d: Homepage: http://www.perforce.com/
+p4d:
+p4d:
+p4d:
+p4d: